local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/

-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff


-- Use this single spam function and remove the multiple spam table below, or just use the multiple spam table below and leave this function in place.
a.SetSpamFunction(function() a.RunSpamTable()
	
	local spec = s.Spec()
	a.Flash("Aspect of the Hawk")
	a.Flash("Aspect of the Fox while moving")
	a.Flash("Hunter's Mark")
	a.Flash("Call Pet")
	a.Flash("Mend Pet")
	if x.PetAlive and not x.PetActiveEnemy and s.InCombat() and x.ActiveEnemy then
		s.FlashPet("Attack", "Pink")
		s.FlashPet("Assist", "Pink")
	end
	if spec == 1 then
		-- BM
		a.Flash("Explosive Trap (AoE)",
		        "Focus Fire",
				"Serpent Sting",
				"Bestial Wrath",
				"Multi-Shot (AoE)",
				"Cobra Shot (AoE)",
				"Kill Shot",
				"Rapid Fire",
				"A Murder of Crows",
				"Kill Command",
				"Arcane Shot w/ Thrill of the Hunt",
				"Readiness after Rapid Fire",
				"Arcane Shot as focus dump",
				"Cobra Shot")
	elseif spec == 2 then
		-- MM
		a.Flash("Explosive Trap (AoE)",
				"Multi-Shot (AoE)",
				"Steady Shot (AoE)",
				"Serpent Sting (MM)",
				"Chimera Shot",
				"Rapid Fire",
				"Readiness after Rapid Fire",
				"Steady Shot w/ Steady Focus",
				"Kill Shot",
				"Aimed Shot w/ Master Marksman",
				"A Murder of Crows",
				"Arcane Shot (MM)",
				"Aimed Shot over 90",
				"Aimed Shot as focus dump",
				"Steady Shot")
	elseif spec == 3 then
		-- SV
		a.Flash("Explosive Trap (AoE)",
				"Multi-Shot (AoE)",
				"Cobra Shot (AoE)",
				"Serpent Sting",
				"Explosive Shot",
				"A Murder of Crows",
				"Kill Shot",
				"Black Arrow",
				"Rapid Fire",
				"Readiness after Rapid Fire",
				"Arcane Shot as focus dump",
				"Cobra Shot")
	else
		print("no active Spec")
	end
end)

